%define	name	tuxkart
%define	version	0.4.0
%define	release	3mdk

Summary:	Tuxedo T. Penguin stars in Tuxkart
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Arcade
Source:		%{name}-%{version}.tar.bz2
Source1:	%{name}-mdkimgs.tar.bz2
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
Patch0:		%{name}-remove-O6.patch.bz2
Patch1:		%{name}-gownsbow-drv.patch.bz2
URL:		http://tuxkart.sourceforge.net/
BuildRequires:	plib Mesa-common-devel MesaGLU-devel XFree86-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This is another game that stars your Favorite Hero: Tux, the Linux Penguin.

%prep
%setup -q -D -a 1
%patch0 -p0
%patch1 -p0

%build
%configure --bindir=%{_gamesbindir}
%make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall} bindir=$RPM_BUILD_ROOT%{_gamesbindir}

install -d $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_gamesbindir}/%{name}"\
title="Tuxkart"\
longtitle="Karting with tux"\
needs="x11"\
icon="%{name}.png" \
section="Amusement/Arcade"
EOF

install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%{update_menus}
 
%postun
%{clean_menus} 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(755,root,root,755)
%{_gamesbindir}/%{name}
%defattr(644,root,root,755)
%{_gamesdatadir}/%{name}
%{_datadir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}
%doc README CHANGES ChangeLog NEWS

%changelog
* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.4.0-3mdk
- rebuild for new plib

* Wed Jun 16 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.4.0-2mdk
- rebuild

* Fri Apr 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.4.0-1mdk
- 0.4.0
- don't bzip2 icons in src.rpm
- use macro for menudir
- drop some docs

* Mon Mar 17 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.2.0-3mdk
- quiet setup
- rm -rf buildroot in install, not in prep
- %_bindir -> %_gamesbindir
- use a few more macros
- nicer formatting
- fix buildrequires
- cleanups
- add it's own icons
- added some docs

* Thu Jan 16 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.2.0-2mdk
- rebuild

* Fri Sep 13 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.2.0-1mdk
- from David Walser <luigiwalser@yahoo.com> :
	- 0.2.0

* Mon Sep 09 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.1.0-4mdk
- from David Walser <luigiwalser@yahoo.com> :
        - Fix AI drive path on Gown's Bow (patch 1)

* Thu Sep 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.1.0-3mdk

- rebuild

* Mon Jun 10 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.1.0-2mdk
- from David Walser <luigiwalser@yahoo.com> :
	- Remedy possible copyright violations

* Sat Jun  1 2002 David Walser <luigiwalser@yahoo.com> 0.1.0-1mdk
- 0.1.0

* Fri Sep 28 2001 Stefan van der Eijk <stefan@eijk.nu> 0.0.6-2mdk
- BuildRequires: Mesa-common-devel

* Fri Jul 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-1mdk
- updated to 0.0.6

* Sat Nov 18 2000 Daouda Lo <daouda@mandrakesoft.com> 0.0.3-3mdk
- build against new libstdc++
- rm hardcoded path to binary in menu 
- rpmlint 100% happy

* Tue Sep 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.0.3-2mdk
- menu

* Thu Aug 24 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.3-1mdk
- 0.0.3
- added Packager tag
- removed hardcoded -O6

* Mon Jul  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.2-1mdk
- 0.0.2

* Mon Jul  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.1-1mdk
- first Mandrake Package

